## ksirk 22.12.0

=== debian/changelog ===
ksirk (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:41 +0100

ksirk (4:22.08.2-1) unstable; urgency=medium

  * New upstream release:
    - fixes build with newer versions of the KF knewstuff framework
      (Closes: #1017136)
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.90.0
    - drop libkf5iconthemes-dev, no more used
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Use secure URI in Homepage field.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Oct 2022 07:40:10 +0200
