=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksirk
@@ -37,8 +37,8 @@
 
 Package: ksirk
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: khelpcenter
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: khelpcenter,
 Description: Risk strategy game
  KsirK is a strategy game inspired by the well known game Risk. It is a
  multi-player network-enabled game with an AI. The goal of the game is simply
