=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5crash-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5wallet-dev (>= 5.90.0~),
