=== debian/changelog ===
ksirk (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of libkdegames.
    - d/rules: No need to specify kf6 as we are using dh-sequence-kf6.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 08:54:19 +0000

ksirk (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:45:37 +0100

ksirk (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 02 Mar 2025 19:25:50 +0100
