## ksirk 25.04.0

=== ksirk/skins/static/Sounds/CMakeLists.txt ===
install(FILES
    cannon.wav
    crash.wav
    roll.wav

    DESTINATION ${KDE_INSTALL_DATADIR}/ksirk/skins/static/Sounds
)
