=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kf6

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DKDE_INSTALL_BINDIR=/usr/games

execute_after_dh_auto_install:
	# do not ship development stuff
	find debian/ksirk -name '*.so' -type l -delete
	find debian/ksirk -name '*.a' -delete
